Index: trunk/dports/audio/bladeenc/Portfile
===================================================================
--- trunk/dports/audio/bladeenc/Portfile	(revision 959)
+++ trunk/dports/audio/bladeenc/Portfile	(revision 960)
@@ -1,8 +1,9 @@
 PortSystem 1.0
-portname	bladeenc
-portversion	0.94.2
+name		bladeenc
+version		0.94.2
 categories	audio
 maintainers	jkh@opendarwin.org
 description	Blade's MP3 Encoder (BladeEnc), a freeware MP3 encoder.
+platforms	darwin freebsd
 master_sites	http://bladeenc.mp3.no/source/ http://www.physik.TU-Berlin.DE/~ibex/ports/distfiles/
 distname	${portname}-${portversion}-src-stable
Index: trunk/dports/audio/lame/Portfile
===================================================================
--- trunk/dports/audio/lame/Portfile	(revision 959)
+++ trunk/dports/audio/lame/Portfile	(revision 960)
@@ -1,8 +1,9 @@
 PortSystem 1.0
-portname	lame
-portversion	3.92
+name		lame
+version		3.92
 categories	audio
 maintainers	jpm@opendarwin.org
 description	lame ain't an mp3 encoder
+platforms	darwin freebsd
 master_sites	http://unc.dl.sourceforge.net/sourceforge/lame/ \
 		http://telia.dl.sourceforge.net/sourceforge/lame/ \
Index: trunk/dports/audio/mad/Portfile
===================================================================
--- trunk/dports/audio/mad/Portfile	(revision 959)
+++ trunk/dports/audio/mad/Portfile	(revision 960)
@@ -1,8 +1,9 @@
 PortSystem 1.0
-portname	mad
-portversion	0.14.2b
+name		mad
+version		0.14.2b
 categories	audio
 maintainers	eric@opendarwin.org
 description	MPEG Audio Decoder
+platforms	darwin freebsd
 master_sites	ftp://ftp.mars.org/pub/mpeg/
 checksums	md5 eb3bfbe634ba9d5b4928aa11e0f6819d
Index: trunk/dports/comms/dgpsip/Portfile
===================================================================
--- trunk/dports/comms/dgpsip/Portfile	(revision 959)
+++ trunk/dports/comms/dgpsip/Portfile	(revision 960)
@@ -1,8 +1,9 @@
 PortSystem 1.0
-portname	dgpsip
-portversion	1.32
+name		dgpsip
+version		1.32
 categories	comms
 maintainers	eric@opendarwin.org
 description	Differential GPS over IP communication device
+platforms	darwin freebsd
 master_sites	http://www.wsrcc.com/wolfgang/ftp/
 checksums	md5 af948d8c485ac84a343c9210f2f05267
Index: trunk/dports/comms/scud/Portfile
===================================================================
--- trunk/dports/comms/scud/Portfile	(revision 959)
+++ trunk/dports/comms/scud/Portfile	(revision 960)
@@ -1,8 +1,9 @@
 PortSystem 1.0
-portname	scud
-portversion	1.4
+name		scud
+version		1.4
 categories	comms
 maintainers	eric@opendarwin.org
 description	Tell your CID capable modem to answer those annoying calls
+platforms	darwin freebsd
 master_sites	http://bsdone.bsdwins.com/dist/${portname}/downloads/
 checksums	md5 9ea3de9581ed9d5b5850215e8fb60cda
Index: trunk/dports/databases/db4/Portfile
===================================================================
--- trunk/dports/databases/db4/Portfile	(revision 959)
+++ trunk/dports/databases/db4/Portfile	(revision 960)
@@ -1,8 +1,9 @@
 PortSystem 1.0
-portname	db4
-portversion	4.1.24
+name		db4
+version		4.1.24
 categories	databases
 maintainers	landonf@opendarwin.org
 description	The Berkely DB package, revision 4
+platforms	darwin freebsd
 master_sites	http://www.sleepycat.com/update/snapshot/
 distname	db-${portversion}
Index: trunk/dports/databases/gdbm/Portfile
===================================================================
--- trunk/dports/databases/gdbm/Portfile	(revision 959)
+++ trunk/dports/databases/gdbm/Portfile	(revision 960)
@@ -1,9 +1,10 @@
 PortSystem 1.0
 
-portname	gdbm
-portversion	1.8.2
+name		gdbm
+version		1.8.2
 categories	databases
 maintainers	digdog@mac.com
 description	The GNU database manager
+platforms	darwin freebsd
 master_sites	ftp://ftp.gnu.org/pub/gnu/gdbm/
 distname	${portname}-${portversion}
Index: trunk/dports/databases/gtksql/Portfile
===================================================================
--- trunk/dports/databases/gtksql/Portfile	(revision 959)
+++ trunk/dports/databases/gtksql/Portfile	(revision 960)
@@ -1,7 +1,8 @@
 PortSystem 1.0
-portname	gtksql
-portversion	0.3
+name		gtksql
+version		0.3
 categories	databases
 description	Graphical query tool for PostgreSQL and/or MySQL
+platforms	darwin
 maintainers	eric@opendarwin.org
 master_sites	http://membres.lycos.fr/bbrox/GtkSQL/
Index: trunk/dports/databases/mysql/Portfile
===================================================================
--- trunk/dports/databases/mysql/Portfile	(revision 959)
+++ trunk/dports/databases/mysql/Portfile	(revision 960)
@@ -1,8 +1,9 @@
 PortSystem 1.0
-portname	mysql
-portversion	3.23.52
+name		mysql
+version		3.23.52
 categories	databases
 maintainers	eric@opendarwin.org
 description	Multithreaded SQL database server
+platforms	darwin
 master_sites	ftp://ftp.sunet.se/pub/unix/databases/relational/mysql/Downloads/MySQL-3.23/ \
 		ftp://ftp.FreeBSD.org/pub/FreeBSD/distfiles/ \
Index: trunk/dports/databases/mysqltcl/Portfile
===================================================================
--- trunk/dports/databases/mysqltcl/Portfile	(revision 959)
+++ trunk/dports/databases/mysqltcl/Portfile	(revision 960)
@@ -1,8 +1,9 @@
 PortSystem 1.0
-portname	mysqltcl
-portversion	2.0rc15
+name		mysqltcl
+version		2.0rc15
 categories	databases devel
 maintainers	kevin@opendarwin.org
 description	Simple API for Mysql-Database and Tcl scripting language.
+platforms	darwin
 master_sites	http://www.xdobry.de/mysqltcl/
 checksums	md5 49eda29dc599c51b056b2d67bfdb7d39
Index: trunk/dports/databases/postgresql/Portfile
===================================================================
--- trunk/dports/databases/postgresql/Portfile	(revision 959)
+++ trunk/dports/databases/postgresql/Portfile	(revision 960)
@@ -1,8 +1,9 @@
 PortSystem 1.0
-portname	postgresql
-portversion	7.2.1
+name		postgresql
+version		7.2.1
 categories	net
 maintainers	eric@opendarwin.org
 description	The most advanced open-source database available anywhere
+platforms	darwin freebsd
 set subdir	source/v${portversion}
 master_sites	ftp://ftp2.ch.postgresql.org/mirror/postgresql/${subdir}/ \
Index: trunk/dports/devel/apr/Portfile
===================================================================
--- trunk/dports/devel/apr/Portfile	(revision 959)
+++ trunk/dports/devel/apr/Portfile	(revision 960)
@@ -1,8 +1,9 @@
 PortSystem 1.0
-portname	apr
-portversion	0.9.1
+name		apr
+version		0.9.1
 categories	devel
 maintainers	rooneg@electricjellyfish.net
 description	the apache group's portability library
+platforms	darwin
 
 master_sites	http://www.apache.org/dist/apr/
Index: trunk/dports/devel/ctags/Portfile
===================================================================
--- trunk/dports/devel/ctags/Portfile	(revision 959)
+++ trunk/dports/devel/ctags/Portfile	(revision 960)
@@ -1,8 +1,9 @@
 PortSystem 1.0
-portname	ctags
-portversion	5.3
+name		ctags
+version		5.3
 categories	devel
 maintainers	pogma@opendarwin.org
 description	Reimplementation of ctags(1)
+platforms	darwin freebsd
 
 master_sites	http://telia.dl.sourceforge.net/sourceforge/ctags/ \
Index: trunk/dports/devel/dlcompat/Portfile
===================================================================
--- trunk/dports/devel/dlcompat/Portfile	(revision 959)
+++ trunk/dports/devel/dlcompat/Portfile	(revision 960)
@@ -1,8 +1,9 @@
 PortSystem 1.0
-portname	dlcompat
-portversion	20020929
+name		dlcompat
+version		20020929
 categories	devel
 maintainers	eric@opendarwin.org
 description	dlopen(3) compatibility library for Mac OS X / Darwin
+platforms	darwin
 master_sites	http://west.dl.sourceforge.net/sourceforge/fink/
 checksums	md5 4528eb111c9f8973b2b7c374d01a1894
Index: trunk/dports/devel/gettext/Portfile
===================================================================
--- trunk/dports/devel/gettext/Portfile	(revision 959)
+++ trunk/dports/devel/gettext/Portfile	(revision 960)
@@ -1,8 +1,9 @@
 PortSystem 1.0
-portname	gettext
-portversion	0.11.5
+name		gettext
+version		0.11.5
 categories	devel
 maintainers	eric@opendarwin.org
 description	GNU gettext package
+platforms	darwin
 master_sites	ftp://ftp.gnu.org/pub/gnu/${portname}/ \
 		http://wuarchive.wustl.edu/mirrors/gnu/${portname}/
Index: trunk/dports/devel/glib/Portfile
===================================================================
--- trunk/dports/devel/glib/Portfile	(revision 959)
+++ trunk/dports/devel/glib/Portfile	(revision 960)
@@ -1,8 +1,9 @@
 PortSystem 1.0
-portname	glib
-portversion	1.2.10
+name		glib
+version		1.2.10
 categories	devel
 maintainers	eric@opendarwin.org
 description	Library with data structure functions and other constructs
+platforms	darwin freebsd
 master_sites	ftp://ftp.gtk.org/pub/gtk/v1.2/ \
 		http://www.opendarwin.org/~eric/:libtool
Index: trunk/dports/devel/gmp/Portfile
===================================================================
--- trunk/dports/devel/gmp/Portfile	(revision 959)
+++ trunk/dports/devel/gmp/Portfile	(revision 960)
@@ -1,9 +1,10 @@
 PortSystem 1.0
 
-portname	gmp
-portversion	4.1
+name		gmp
+version		4.1
 categories	lib devel
 maintainers	bertrand@caudium.net
 description	GNU multiple precision arithmetic library
+platforms	darwin freebsd
 master_sites	ftp://ftp.gnu.org/gnu/gmp/
 checksums	md5 d6afbdf7e02615fa16867896ce0e03d3
Index: trunk/dports/devel/netinet-headers/Portfile
===================================================================
--- trunk/dports/devel/netinet-headers/Portfile	(revision 959)
+++ trunk/dports/devel/netinet-headers/Portfile	(revision 960)
@@ -1,23 +1,23 @@
 PortSystem 1.0
 
-portname 		netinet-headers
-portversion		1.0.1
-distname		jaguar-missing-headers-1.0.1
-description		temporary port providing netinet missing headers for jaguar
-categories		devel
-maintainers		mike+missing-headers@gene-hacker.net
+name	 	netinet-headers
+version		1.0.1
+distname	jaguar-missing-headers-1.0.1
+description	temporary port providing netinet missing headers for jaguar
+platforms	darwin
+categories	devel
+maintainers	mike+missing-headers@gene-hacker.net
 
 master_sites	http://west.dl.sourceforge.net/sourceforge/fink/
-checksums		md5 4b9721fa3f77edc9121a53308e30a47b
+checksums	md5 4b9721fa3f77edc9121a53308e30a47b
 
 use_bzip2
 extract.sufx 	.tar.bz2
 
-configure		{}
-build			{}
-install			{	system "mkdir -p ${prefix}/include/netinet && \
-					cp ${workpath}/${worksrcdir}/netinet/* ${prefix}/include/netinet/"
-				}
-
+configure	{}
+build		{}
+install		{	system "mkdir -p ${prefix}/include/netinet && \
+			cp ${workpath}/${worksrcdir}/netinet/* ${prefix}/include/netinet/"
+		}
 
 contents {
@@ -25,3 +25,3 @@
 	include/netinet/ip_var.h
 	include/netinet
-		}
+}
Index: trunk/dports/devel/perforce/Portfile
===================================================================
--- trunk/dports/devel/perforce/Portfile	(revision 959)
+++ trunk/dports/devel/perforce/Portfile	(revision 960)
@@ -1,8 +1,9 @@
 PortSystem 1.0
-portname	perforce
-portversion	02.1
+name		perforce
+version		02.1
 categories	devel
 maintainers	eric@opendarwin.org
 description	Fast source code management system
+platforms	darwin freebsd
 master_sites	ftp://www.perforce.com/pub/perforce/r${portversion}/bin.darwinppc/ \
 		ftp://www.perforce.com/pub/perforce/r${portversion}/doc/man/
Index: trunk/dports/devel/pkgconfig/Portfile
===================================================================
--- trunk/dports/devel/pkgconfig/Portfile	(revision 959)
+++ trunk/dports/devel/pkgconfig/Portfile	(revision 960)
@@ -1,8 +1,9 @@
 PortSystem 1.0
-portname	pkgconfig
-portversion	0.12.0
+name		pkgconfig
+version		0.12.0
 categories	devel
 maintainers	eric@opendarwin.org
 description	System for managing library compile and link flags
+platforms	darwin freebsd
 master_sites	http://www.freedesktop.org/software/pkgconfig/releases/
 checksums	md5 c583e1de0c46948b1a0c9cf523b3aa92
Index: trunk/dports/devel/readline/Portfile
===================================================================
--- trunk/dports/devel/readline/Portfile	(revision 959)
+++ trunk/dports/devel/readline/Portfile	(revision 960)
@@ -1,8 +1,9 @@
 PortSystem 1.0
-portname	readline
-portversion	4.3
+name		readline
+version		4.3
 categories	devel
 maintainers	eric@opendarwin.org
 description	Library that provides command line editing
+platforms	darwin freebsd
 master_sites	ftp://ftp.cwru.edu/pub/bash/
 checksums	md5 f86f7cb717ab321fe15f1bbcb058c11e
Index: trunk/dports/devel/subversion/Portfile
===================================================================
--- trunk/dports/devel/subversion/Portfile	(revision 959)
+++ trunk/dports/devel/subversion/Portfile	(revision 960)
@@ -1,9 +1,10 @@
 package require port 1.0
 
-portname	subversion
-portversion	0.14.3
+name		subversion
+version		0.14.3
 categories	devel
 maintainers	rooneg@electricjellyfish.net
 description	a cvs like version control system, but without the suck
+platforms	darwin
 
 master_sites	http://subversion.tigris.org/files/documents/15/841/
Index: trunk/dports/editors/emacs/Portfile
===================================================================
--- trunk/dports/editors/emacs/Portfile	(revision 959)
+++ trunk/dports/editors/emacs/Portfile	(revision 960)
@@ -1,12 +1,17 @@
 PortSystem 1.0
-portname	emacs
-portversion	21.2
+name		emacs
+version		21.2
 categories	editors
 maintainers	jkh@opendarwin.org
 description	The GNU Emacs text editor
+platforms	darwin freebsd
 master_sites	ftp://ftp.gnu.org/pub/gnu/emacs/
 checksums	md5 f4b58e5c2d923fc92495e0c2f167c5db
-patchfiles	apple-patches
-patch.pre_args	-p1
+
+variant darwin {
+	patchfiles	apple-patches
+	patch.pre_args	-p1
+}
+
 configure.args	--without-x
 
Index: trunk/dports/editors/vim/Portfile
===================================================================
--- trunk/dports/editors/vim/Portfile	(revision 959)
+++ trunk/dports/editors/vim/Portfile	(revision 960)
@@ -1,9 +1,10 @@
 PortSystem 1.0
-portname		vim
+name			vim
 set vim_patchlevel	174
-portversion		6.1.$vim_patchlevel
+version			6.1.$vim_patchlevel
 categories		editors
 maintainers		landonf@opendarwin.org
 description		Vi "workalike" with many additional features
+platforms		darwin freebsd
 master_sites		ftp://nuxi.ucdavis.edu/pub/vim/unix/ \
 			ftp://relay.nuxi.com/pub/vim/unix/ \
Index: trunk/dports/games/nethack/Portfile
===================================================================
--- trunk/dports/games/nethack/Portfile	(revision 959)
+++ trunk/dports/games/nethack/Portfile	(revision 960)
@@ -1,8 +1,9 @@
 PortSystem 1.0
-portname	nethack
-portversion	3.4.0
+name		nethack
+version		3.4.0
 categories	games
 maintainers	kevin@opendarwin.org
 description	Classic dungeon adventure game.
+platforms	darwin freebsd
 master_sites	http://twtelecom.dl.sourceforge.net/sourceforge/nethack/
 distname	${portname}-340
Index: trunk/dports/graphics/gd/Portfile
===================================================================
--- trunk/dports/graphics/gd/Portfile	(revision 959)
+++ trunk/dports/graphics/gd/Portfile	(revision 960)
@@ -1,8 +1,9 @@
 PortSystem 1.0
-portname	gd
-portversion	1.8.4
+name		gd
+version		1.8.4
 categories	graphics
 maintainers	mike+gdport@gene-hacker.net
 description	GD creates PNG and JPEG images, among other formats
+platforms	darwin
 master_sites	http://www.boutell.com/gd/http/ 
 checksums	md5 2aef76e79f206f9798233f025f5dd28d
Index: trunk/dports/graphics/gimp/Portfile
===================================================================
--- trunk/dports/graphics/gimp/Portfile	(revision 959)
+++ trunk/dports/graphics/gimp/Portfile	(revision 960)
@@ -1,8 +1,9 @@
 PortSystem 1.0
-portname	gimp
-portversion	1.2.3
+name		gimp
+version		1.2.3
 categories	graphics x11
 maintainers	eric@opendarwin.org
 description	GNU Image Manipulation Program
+platforms	darwin
 use_bzip2	yes
 master_sites	ftp://ftp.gtk.org/pub/gimp/v1.2/v${portversion}/
Index: trunk/dports/graphics/jpeg/Portfile
===================================================================
--- trunk/dports/graphics/jpeg/Portfile	(revision 959)
+++ trunk/dports/graphics/jpeg/Portfile	(revision 960)
@@ -1,5 +1,5 @@
 PortSystem 1.0
-portname	jpeg
-portversion	6b 
+name		jpeg
+version		6b 
 set libver	9
 categories	graphics
@@ -8,4 +8,5 @@
 worksrcdir	${portname}-${portversion}
 description	Library for manipulating JPEG images
+platforms	darwin freebsd
 master_sites	http://www.ijg.org/files/
 checksums	md5 dbd5f3b47ed13132f04c685d608a7547
Index: trunk/dports/graphics/lcms/Portfile
===================================================================
--- trunk/dports/graphics/lcms/Portfile	(revision 959)
+++ trunk/dports/graphics/lcms/Portfile	(revision 960)
@@ -1,8 +1,9 @@
 PortSystem 1.0
-portname	lcms
-portversion	1.08
+name		lcms
+version		1.08
 categories	graphics
 maintainers	eric@opendarwin.org
 description	Little Color Management System, a color matching method library
+platforms	darwin
 master_sites	http://www.littlecms.com/
 checksums	md5 a1987f5043bc1a21f94c9dbc4adccbfe
Index: trunk/dports/graphics/libpng/Portfile
===================================================================
--- trunk/dports/graphics/libpng/Portfile	(revision 959)
+++ trunk/dports/graphics/libpng/Portfile	(revision 960)
@@ -1,8 +1,9 @@
 PortSystem 1.0
-portname	libpng
-portversion	1.2.4
+name		libpng
+version		1.2.4
 categories	graphics
 maintainers	eric@opendarwin.org
 description	Library for manipulating PNG images
+platforms	darwin
 use_bzip2	yes
 master_sites	http://www.libpng.org/pub/png/src/ \
Index: trunk/dports/graphics/libsdl/Portfile
===================================================================
--- trunk/dports/graphics/libsdl/Portfile	(revision 959)
+++ trunk/dports/graphics/libsdl/Portfile	(revision 960)
@@ -1,8 +1,9 @@
 PortSystem 1.0
-portname	libsdl
-portversion	1.2.4
+name		libsdl
+version		1.2.4
 categories	graphics
 maintainers	leimy@opendarwin.org
 description	Cross-platform multi-media development API
+platforms	darwin
 master_sites	http://www.libsdl.org/release/
 distname	SDL-${portversion}
Index: trunk/dports/graphics/libsdl_image/Portfile
===================================================================
--- trunk/dports/graphics/libsdl_image/Portfile	(revision 959)
+++ trunk/dports/graphics/libsdl_image/Portfile	(revision 960)
@@ -1,8 +1,9 @@
 PortSystem 1.0
-portname	libsdl_image
-portversion	1.2.2
+name		libsdl_image
+version		1.2.2
 categories	graphics
 maintainers	leimy@opendarwin.org
 description	Add on library for libSDL handling several image formats
+platforms	darwin
 master_sites	http://www.libsdl.org/projects/SDL_image/release/
 distname	SDL_image-${portversion}
Index: trunk/dports/graphics/libungif/Portfile
===================================================================
--- trunk/dports/graphics/libungif/Portfile	(revision 959)
+++ trunk/dports/graphics/libungif/Portfile	(revision 960)
@@ -1,8 +1,9 @@
 PortSystem 1.0
-portname	libungif
-portversion	4.1.0b1
+name		libungif
+version		4.1.0b1
 categories	graphics
 maintainers	eric@opendarwin.org
 description	Tools and library routines for working with GIF images
+platforms	darwin
 master_sites	ftp://prtr-13.ucsc.edu/pub/libungif/ \
 		ftp://ftp.FreeBSD.org/pub/FreeBSD/distfiles/ \
Index: trunk/dports/graphics/tiff/Portfile
===================================================================
--- trunk/dports/graphics/tiff/Portfile	(revision 959)
+++ trunk/dports/graphics/tiff/Portfile	(revision 960)
@@ -1,9 +1,10 @@
 PortSystem 1.0
-portname	tiff
-portversion	3.5.7
+name		tiff
+version		3.5.7
 set libver	3
 categories	graphics
 maintainers	eric@opendarwin.org
 description	Library and tools for dealing with Tag Image File Format
+platforms	darwin
 master_sites	ftp://ftp.remotesensing.org/pub/libtiff/
 distname	${portname}-v${portversion}
Index: trunk/dports/irc/epic/Portfile
===================================================================
--- trunk/dports/irc/epic/Portfile	(revision 959)
+++ trunk/dports/irc/epic/Portfile	(revision 960)
@@ -1,8 +1,9 @@
 PortSystem 1.0
-portname	epic
-portversion	1.0.1
+name		epic
+version		1.0.1
 categories	irc
 maintainers	eric@opendarwin.org
 description	The (E)nhanced (P)rogrammable (I)RC-II (C)lient
+platforms	darwin freebsd
 set subdir	epic/EPIC4-PRODUCTION/
 master_sites	ftp://ftp.epicsol.org/pub/${subdir} \
Index: trunk/dports/irc/infobot/Portfile
===================================================================
--- trunk/dports/irc/infobot/Portfile	(revision 959)
+++ trunk/dports/irc/infobot/Portfile	(revision 960)
@@ -1,8 +1,9 @@
 PortSystem 1.0
-portname	infobot
-portversion	0.45.3
+name		infobot
+version		0.45.3
 categories	irc
 maintainers	eric@opendarwin.org
 description	IRC Bot written in Perl with a rabid AI
+platforms	darwin freebsd
 master_sites	http://www.infobot.org/src/
 checksums	md5 897a005182928613eadd30c267ce9c5b
Index: trunk/dports/irc/shadowirc/Portfile
===================================================================
--- trunk/dports/irc/shadowirc/Portfile	(revision 959)
+++ trunk/dports/irc/shadowirc/Portfile	(revision 960)
@@ -1,9 +1,10 @@
 PortSystem 1.0
-portname	shadowirc
-portversion	2.0a
+name		shadowirc
+version		2.0a
 categories	irc
 maintainers	landonf@opendarwin.org
 distname	shadowirc
 description	GPL licensed GUI IRC client for Mac OS X
+platforms	darwin
 
 fetch.type	cvs
Index: trunk/dports/lang/nqc/Portfile
===================================================================
--- trunk/dports/lang/nqc/Portfile	(revision 959)
+++ trunk/dports/lang/nqc/Portfile	(revision 960)
@@ -1,8 +1,9 @@
 PortSystem 1.0
-portname	nqc
-portversion	2.4.r3
+name		nqc
+version		2.4.r3
 categories	devel
 maintainers	landonf@opendarwin.org
 description	Not-Quite-C Lego RCX Compiler
+platforms	darwin
 
 master_sites	http://www.baumfamily.org/nqc/release/
Index: trunk/dports/lang/perl5.8/Portfile
===================================================================
--- trunk/dports/lang/perl5.8/Portfile	(revision 959)
+++ trunk/dports/lang/perl5.8/Portfile	(revision 960)
@@ -1,9 +1,10 @@
 PortSystem 1.0
-portname	perl5.8
-portversion	5.8.0
+name		perl5.8
+version		5.8.0
 
 categories	lang
 maintainers	mike+perlport@gene-hacker.net
 description	Perl 5.8.0
+platforms	darwin freebsd
 
 master_sites	http://www.cpan.org/src/
Index: trunk/dports/mail/gnupg/Portfile
===================================================================
--- trunk/dports/mail/gnupg/Portfile	(revision 959)
+++ trunk/dports/mail/gnupg/Portfile	(revision 960)
@@ -1,8 +1,9 @@
 PortSystem 1.0
-portname	gnupg
-portversion	1.0.7
+name		gnupg
+version		1.0.7
 categories	security
-maintainers    eric@opendarwin.org
-description    GNU pretty-good-privacy package
+maintainers	eric@opendarwin.org
+description	GNU pretty-good-privacy package
+platforms	darwin freebsd
 master_sites	ftp://ftp.gnupg.org/gcrypt/gnupg/ \
 		http://macgpg.sourceforge.net/patches/
@@ -13,6 +14,8 @@
 		md5 90d4e79e46d74849e8864532c7b9f352
 
-patchfiles	${portname}-${portversion}-darwin.diff
-patch.pre_args	-p1
+variant darwin {
+	patchfiles	${portname}-${portversion}-darwin.diff
+	patch.pre_args	-p1
+}
 
 include 	contents
Index: trunk/dports/mail/mutt/Portfile
===================================================================
--- trunk/dports/mail/mutt/Portfile	(revision 959)
+++ trunk/dports/mail/mutt/Portfile	(revision 960)
@@ -1,7 +1,8 @@
 PortSystem 1.0
-portname	mutt
-portversion	1.4
+name		mutt
+version		1.4
 categories	mail
 description	Mongrel of Mail User Agents (part Elm, Pine, Mush, mh, etc)
+platforms	darwin
 maintainers	eric@opendarwin.org
 master_sites	ftp://ftp.mutt.org/${portname}/
Index: trunk/dports/mail/ssmtp/Portfile
===================================================================
--- trunk/dports/mail/ssmtp/Portfile	(revision 959)
+++ trunk/dports/mail/ssmtp/Portfile	(revision 960)
@@ -1,9 +1,10 @@
 PortSystem 1.0
-portname	ssmtp
-portversion	2.50
+name		ssmtp
+version		2.50
 set num		10
 categories	mail
 maintainers	eric@opendarwin.org
 description	Sendmail alternative for small routers (outgoing mail only)
+platforms	darwin freebsd
 master_sites	http://ftp.debian.org/debian/pool/main/s/${portname}/ \
 		ftp://ftp.icm.edu.pl/pub/Linux/debian/pool/main/s/${portname}/
Index: trunk/dports/net/ethereal/Portfile
===================================================================
--- trunk/dports/net/ethereal/Portfile	(revision 959)
+++ trunk/dports/net/ethereal/Portfile	(revision 960)
@@ -1,8 +1,9 @@
 PortSystem 1.0
-portname	ethereal
-portversion	0.9.6
+name		ethereal
+version		0.9.6
 categories	net
 maintainers	eric@opendarwin.org
 description	Graphical network analyzer and capture tool
+platforms	darwin
 use_bzip2	yes
 master_sites	ftp://ftp.ethereal.com/pub/ethereal/ \
Index: trunk/dports/net/fetch/Portfile
===================================================================
--- trunk/dports/net/fetch/Portfile	(revision 959)
+++ trunk/dports/net/fetch/Portfile	(revision 960)
@@ -1,8 +1,9 @@
 PortSystem 1.0
-portname	fetch
-portversion	4.6.2-RELEASE
+name		fetch
+version		4.6.2-RELEASE
 categories	net
 maintainers	eric@opendarwin.org
 description	The FreeBSD file fetching utility
+platforms	darwin
 master_sites	http://www.opendarwin.org/~eric/
 checksums	md5 45627db03b6cf89b8dabae6d815dcd9b
Index: trunk/dports/net/libfetch/Portfile
===================================================================
--- trunk/dports/net/libfetch/Portfile	(revision 959)
+++ trunk/dports/net/libfetch/Portfile	(revision 960)
@@ -1,8 +1,9 @@
 PortSystem 1.0
-portname	libfetch
-portversion	4.6.2-RELEASE
+name		libfetch
+version		4.6.2-RELEASE
 categories	net
 maintainers	eric@opendarwin.org
 description	The FreeBSD file fetching library
+platforms	darwin
 master_sites	http://www.opendarwin.org/~eric/
 checksums	md5 b99c647fb16c108ee40b62e18e1d2e4a
Index: trunk/dports/net/libpcap/Portfile
===================================================================
--- trunk/dports/net/libpcap/Portfile	(revision 959)
+++ trunk/dports/net/libpcap/Portfile	(revision 960)
@@ -1,8 +1,9 @@
 PortSystem 1.0
-portname	libpcap
-portversion	0.7.1
+name		libpcap
+version		0.7.1
 categories	net
 maintainers	jpm@opendarwin.org
 description	Packet Capture library
+platforms	darwin
 master_sites	http://www.tcpdump.org/release/ \
 		http://www-personal.umich.edu/~jmouille/naughty/
Index: trunk/dports/net/netcat/Portfile
===================================================================
--- trunk/dports/net/netcat/Portfile	(revision 959)
+++ trunk/dports/net/netcat/Portfile	(revision 960)
@@ -1,5 +1,5 @@
 PortSystem 1.0
-portname	netcat
-portversion	1.10
+name		netcat
+version		1.10
 categories	net
 maintainers	eric@opendarwin.org
@@ -8,4 +8,5 @@
 		http://www.planetmirror.com/pub/lprng/TOOLS/
 description	A utility for managing network connections
+platforms	darwin freebsd
 regsub -all	"\\." ${portversion} "" num
 distfiles	nc${num}.tgz
@@ -17,5 +18,9 @@
 configure	{}
 build.target.all	next
-patchfiles	patch-Makefile
+
+variant darwin {
+	patchfiles	patch-Makefile
+}
+
 install		{ cd ${workpath}/${worksrcdir}
 		  system "install -o root -m 755 -d ${prefix}/bin"
Index: trunk/dports/net/nmap/Portfile
===================================================================
--- trunk/dports/net/nmap/Portfile	(revision 959)
+++ trunk/dports/net/nmap/Portfile	(revision 960)
@@ -1,8 +1,9 @@
 PortSystem 1.0
-portname	nmap
-portversion	3.00
+name		nmap
+version		3.00
 categories	net
 maintainers	eric@opendarwin.org
 description	Port scanning utility for large networks
+platforms	darwin freebsd
 master_sites	http://download.insecure.org/nmap/dist/ \
 		ftp://nuxi.ucdavis.edu/pub/misc/
Index: trunk/dports/net/snort/Portfile
===================================================================
--- trunk/dports/net/snort/Portfile	(revision 959)
+++ trunk/dports/net/snort/Portfile	(revision 960)
@@ -1,8 +1,9 @@
 PortSystem 1.0
-portname	snort
-portversion	1.8.7
+name		snort
+version		1.8.7
 categories	net
 maintainers	jpm@opendarwin.org
 description	The Open Source Network Intrusion Detection System
+platforms	darwin freebsd
 master_sites	http://www.snort.org/dl/ \
 		http://gd.tuwien.ac.at/infosys/security/snort/dl/ \
Index: trunk/dports/net/wget/Portfile
===================================================================
--- trunk/dports/net/wget/Portfile	(revision 959)
+++ trunk/dports/net/wget/Portfile	(revision 960)
@@ -1,8 +1,9 @@
 PortSystem 1.0
-portname	wget
-portversion	1.8.2
+name		wget
+version		1.8.2
 categories	net
 maintainers	jpm@opendarwin.org
 description	internet file retriever
+platforms	darwin freebsd
 master_sites	ftp.gnu.org/pub/gnu/wget/ \
 		ftp://aeneas.mit.edu/pub/gnu/wget/ \
Index: trunk/dports/print/teTeX/Portfile
===================================================================
--- trunk/dports/print/teTeX/Portfile	(revision 959)
+++ trunk/dports/print/teTeX/Portfile	(revision 960)
@@ -1,7 +1,8 @@
 PortSystem 1.0
-portname	teTeX
-portversion	3.14159
+name		teTeX
+version		3.14159
 categories	print
 description	TeX and METAFONT
+platforms	darwin
 maintainers	landonf@opendarwin.org
 
Index: trunk/dports/security/gnupg/Portfile
===================================================================
--- trunk/dports/security/gnupg/Portfile	(revision 959)
+++ trunk/dports/security/gnupg/Portfile	(revision 960)
@@ -1,8 +1,9 @@
 PortSystem 1.0
-portname	gnupg
-portversion	1.0.7
+name		gnupg
+version		1.0.7
 categories	security
-maintainers    eric@opendarwin.org
-description    GNU pretty-good-privacy package
+maintainers	eric@opendarwin.org
+description	GNU pretty-good-privacy package
+platforms	darwin freebsd
 master_sites	ftp://ftp.gnupg.org/gcrypt/gnupg/ \
 		http://macgpg.sourceforge.net/patches/
@@ -13,6 +14,8 @@
 		md5 90d4e79e46d74849e8864532c7b9f352
 
-patchfiles	${portname}-${portversion}-darwin.diff
-patch.pre_args	-p1
+variant darwin {
+	patchfiles	${portname}-${portversion}-darwin.diff
+	patch.pre_args	-p1
+}
 
 include 	contents
Index: trunk/dports/sysutils/DarwinPortsStartup/Portfile
===================================================================
--- trunk/dports/sysutils/DarwinPortsStartup/Portfile	(revision 959)
+++ trunk/dports/sysutils/DarwinPortsStartup/Portfile	(revision 960)
@@ -1,8 +1,9 @@
 PortSystem 1.0
-portname	DarwinPortsStartup
-portversion	1.0
+name		DarwinPortsStartup
+version		1.0
 categories	sysutils
 maintainers	kevin@opendarwin.org
 description	System startup item to start things installed from darwinports
+platforms	darwin
 master_sites	http://www.opendarwin.org/~kevin/
 checksums	md5 0d3a57ca40c494a7f8279ce11569e439
Index: trunk/dports/sysutils/darwinports/Portfile
===================================================================
--- trunk/dports/sysutils/darwinports/Portfile	(revision 959)
+++ trunk/dports/sysutils/darwinports/Portfile	(revision 960)
@@ -1,10 +1,11 @@
 PortSystem 		1.0
 
-portname		darwinports
-portversion		1.0
+name			darwinports
+version			1.0
 categories		misc sysutils
 maintainers		mike+dports@gene-hacker.net
 
 description		A port to install the latest darwinports
+platforms		darwin freebsd
 
 fetch.type		cvs
Index: trunk/dports/sysutils/wmcpuload/Portfile
===================================================================
--- trunk/dports/sysutils/wmcpuload/Portfile	(revision 959)
+++ trunk/dports/sysutils/wmcpuload/Portfile	(revision 960)
@@ -1,9 +1,9 @@
 PortSystem 1.0
-portname	wmcpuload
-portversion	1.0.0
+name		wmcpuload
+version		1.0.0
 categories	sysutils x11
 maintainers	landonf@opendarwin.org
 description	An "lcd" dockapp that displays the current cpuload
-
+platforms	darwin freebsd
 master_sites	http://www.sh.rim.or.jp/~ssato/src/
 checksums	md5 cf1184c563e141e4d311c393b40207f1
Index: trunk/dports/sysutils/wmmemmon/Portfile
===================================================================
--- trunk/dports/sysutils/wmmemmon/Portfile	(revision 959)
+++ trunk/dports/sysutils/wmmemmon/Portfile	(revision 960)
@@ -1,9 +1,9 @@
 PortSystem 1.0
-portname	wmmemmon
-portversion	0.7.0
+name		wmmemmon
+version		0.7.0
 categories	sysutils x11
 maintainers	landonf@opendarwin.org
 description	An "lcd" dockapp that displays the current memory/swap usage
-
+platforms	darwin freebsd
 master_sites	http://www.sh.rim.or.jp/~ssato/src/
 checksums	md5 25f45b3fe8c18a6fc4da9f00d71cd94b
Index: trunk/dports/sysutils/xtail/Portfile
===================================================================
--- trunk/dports/sysutils/xtail/Portfile	(revision 959)
+++ trunk/dports/sysutils/xtail/Portfile	(revision 960)
@@ -1,9 +1,10 @@
 PortSystem 1.0
-portname	xtail
-portversion	2.1
+name		xtail
+version		2.1
 
 categories	sysutils
 maintainers	charlie@rubberduck.com
 description	like 'tail -f' on a bunch of files at once
+platforms	darwin freebsd
 
 master_sites	http://www.unicom.com/sw/xtail/
Index: trunk/dports/textproc/chef/Portfile
===================================================================
--- trunk/dports/textproc/chef/Portfile	(revision 959)
+++ trunk/dports/textproc/chef/Portfile	(revision 960)
@@ -1,6 +1,7 @@
 PortSystem 1.0
-portname		chef
-portversion		19930426
+name			chef
+version			19930426
 categories		textproc amusements
+platforms		darwin freebsd
 maintainers		rooneg@electricjellyfish.net
 description		trunsletes inpoot text intu sveedeesh
Index: trunk/dports/textproc/cowsay/Portfile
===================================================================
--- trunk/dports/textproc/cowsay/Portfile	(revision 959)
+++ trunk/dports/textproc/cowsay/Portfile	(revision 960)
@@ -1,6 +1,7 @@
 PortSystem 1.0
-portname		cowsay
-portversion		3.03
+name			cowsay
+version			3.03
 categories		textproc amusements
+platforms		darwin freebsd
 maintainers		jkh@opendarwin.org
 description		Configurable talking characters in ASCII art
Index: trunk/dports/textproc/dict/Portfile
===================================================================
--- trunk/dports/textproc/dict/Portfile	(revision 959)
+++ trunk/dports/textproc/dict/Portfile	(revision 960)
@@ -1,8 +1,9 @@
 PortSystem 1.0
-portname		dict
-portversion		1.7.1
+name			dict
+version			1.7.1
 categories		textproc spelling
 maintainers		landonf@opendarwin.org
 description		Dictionary Server Protocol (RFC2229) client
+platforms		darwin freebsd
 master_sites		ftp://ftp.dict.org/pub/dict/
 distname		${portname}d-${portversion}
Index: trunk/dports/textproc/expat/Portfile
===================================================================
--- trunk/dports/textproc/expat/Portfile	(revision 959)
+++ trunk/dports/textproc/expat/Portfile	(revision 960)
@@ -1,6 +1,7 @@
 PortSystem 1.0
-portname	expat
-portversion	1.95.5
+name		expat
+version		1.95.5
 categories	textproc
+platforms	darwin
 maintainers	eric@opendarwin.org
 description	XML 1.0 parser written in C
Index: trunk/dports/textproc/figlet/Portfile
===================================================================
--- trunk/dports/textproc/figlet/Portfile	(revision 959)
+++ trunk/dports/textproc/figlet/Portfile	(revision 960)
@@ -1,8 +1,9 @@
 PortSystem 1.0
-portname		figlet
-portversion		2.2
+name			figlet
+version			2.2
 categories		textproc amusements
 maintainers		jkh@opendarwin.org
 description		banner-like program prints strings as ASCII art
+platforms		darwin freebsd
 master_sites		ftp://wuarchive.wustl.edu/graphics/graphics/misc/figlet/program/unix/ \
 			ftp://ftp.funet.fi/pub/unix/tools/figlet/program/unix/ \
Index: trunk/dports/textproc/ispell/Portfile
===================================================================
--- trunk/dports/textproc/ispell/Portfile	(revision 959)
+++ trunk/dports/textproc/ispell/Portfile	(revision 960)
@@ -1,6 +1,7 @@
 PortSystem 1.0
-portname		ispell
-portversion		3.2.06
+name			ispell
+version			3.2.06
 categories		textproc spelling
+platforms		darwin freebsd
 maintainers		landonf@opendarwin.org
 description		An interactive spelling checker for multiple languages
Index: trunk/dports/textproc/libiconv/Portfile
===================================================================
--- trunk/dports/textproc/libiconv/Portfile	(revision 959)
+++ trunk/dports/textproc/libiconv/Portfile	(revision 960)
@@ -1,6 +1,8 @@
 PortSystem 1.0
-portname	libiconv
-portversion	1.8
+name		libiconv
+version		1.8
 categories	textproc
+platforms	darwin freebsd
+
 maintainers	eric@opendarwin.org
 description	Character set conversion library
Index: trunk/dports/textproc/openjade/Portfile
===================================================================
--- trunk/dports/textproc/openjade/Portfile	(revision 959)
+++ trunk/dports/textproc/openjade/Portfile	(revision 960)
@@ -1,26 +1,27 @@
 PortSystem 1.0
-portname			openjade
-portversion			1.3.1
-categories			textproc
-maintainers			kevin@opendarwin.org
-description			James Clark's implementation of DSSSL
+name			openjade
+version			1.3.1
+categories		textproc
+platforms		darwin freebsd
+maintainers		kevin@opendarwin.org
+description		James Clark's implementation of DSSSL
 master_sites		http://umn.dl.sourceforge.net/sourceforge/openjade/
-distname			${portname}-${portversion}
-checksums			md5 c453a50001de6cdf132d85ecfb99a0f9
-patchfiles			patch-configure patch-Text.cxx patch-Text.h
+distname		${portname}-${portversion}
+checksums		md5 c453a50001de6cdf132d85ecfb99a0f9
+patchfiles		patch-configure patch-Text.cxx patch-Text.h
 configure.type		gnu
 configure.args		--prefix=$prefix CXXFLAGS=-fno-rtti
-build.type			gnu
+build.type		gnu
 build.target.install	install install-man
 
 contents		bin/onsgmls bin/openjade bin/osgmlnorm bin/ospam bin/ospent bin/osx \
-				lib/libogrove.0.0.0.dylib lib/libogrove.0.dylib lib/libogrove.a \
-				lib/libogrove.dylib lib/libogrove.la lib/libosp.0.0.0.dylib \
-				lib/libosp.0.dylib lib/libosp.a lib/libosp.dylib lib/libosp.la \
-				lib/libospgrove.0.0.0.dylib lib/libospgrove.0.dylib lib/libospgrove.a \
-				lib/libospgrove.dylib lib/libospgrove.la lib/libostyle.0.0.0.dylib \
-				lib/libostyle.0.dylib lib/libostyle.a lib/libostyle.dylib lib/libostyle.la \
-				share/builtins.dsl \
-				man/man1/jade.1 man/man1/nsgmls.1 man/man1/onsgmls.1 man/man1/openjade.1 \
-				man/man1/osgmlnorm.1 man/man1/ospam.1 man/man1/ospent.1 man/man1/osx.1 \
-				man/man1/sgmlnorm.1 man/man1/spam.1 man/man1/spent.1 man/man1/sx.1
+			lib/libogrove.0.0.0.dylib lib/libogrove.0.dylib lib/libogrove.a \
+			lib/libogrove.dylib lib/libogrove.la lib/libosp.0.0.0.dylib \
+			lib/libosp.0.dylib lib/libosp.a lib/libosp.dylib lib/libosp.la \
+			lib/libospgrove.0.0.0.dylib lib/libospgrove.0.dylib lib/libospgrove.a \
+			lib/libospgrove.dylib lib/libospgrove.la lib/libostyle.0.0.0.dylib \
+			lib/libostyle.0.dylib lib/libostyle.a lib/libostyle.dylib lib/libostyle.la \
+			share/builtins.dsl \
+			man/man1/jade.1 man/man1/nsgmls.1 man/man1/onsgmls.1 man/man1/openjade.1 \
+			man/man1/osgmlnorm.1 man/man1/ospam.1 man/man1/ospent.1 man/man1/osx.1 \
+			man/man1/sgmlnorm.1 man/man1/spam.1 man/man1/spent.1 man/man1/sx.1
Index: trunk/dports/www/apache/Portfile
===================================================================
--- trunk/dports/www/apache/Portfile	(revision 959)
+++ trunk/dports/www/apache/Portfile	(revision 960)
@@ -1,7 +1,9 @@
 PortSystem 1.0
-portname		apache
-portversion		1.3.27
+name			apache
+version			1.3.27
 
 categories		www
+platforms		darwin freebsd
+
 maintainers		mike+apacheport@gene-hacker.net
 description		The extremely popular Apache http server
Index: trunk/dports/www/libwww/Portfile
===================================================================
--- trunk/dports/www/libwww/Portfile	(revision 959)
+++ trunk/dports/www/libwww/Portfile	(revision 960)
@@ -1,7 +1,9 @@
 PortSystem 1.0
-portname		libwww
-portversion		5.4.0
+name			libwww
+version			5.4.0
 
 categories		www
+platforms		darwin
+
 maintainers		landonf@opendarwin.org
 description		The W3C WWW Reference Library
Index: trunk/dports/www/links/Portfile
===================================================================
--- trunk/dports/www/links/Portfile	(revision 959)
+++ trunk/dports/www/links/Portfile	(revision 960)
@@ -1,6 +1,7 @@
 PortSystem 1.0
-portname	links
-portversion	2.0
+name		links
+version		2.0
 description	Lynx-like WWW browser that supports tables, menus, etc
+platforms	darwin freebsd
 categories	www
 master_sites	http://atrey.karlin.mff.cuni.cz/~clock/twibright/links/download/\
Index: trunk/dports/www/neon/Portfile
===================================================================
--- trunk/dports/www/neon/Portfile	(revision 959)
+++ trunk/dports/www/neon/Portfile	(revision 960)
@@ -1,22 +1,21 @@
 PortSystem 1.0
-portname		neon
-portversion		0.23.4
+name		neon
+version		0.23.4
 
-categories		www
-maintainers		rooneg@electricjellyfish.net
-description		An HTTP and WebDAV client library with a C interface
+categories	www
+maintainers	rooneg@electricjellyfish.net
+description	An HTTP and WebDAV client library with a C interface
+platforms	darwin
 
-master_sites		http://www.webdav.org/neon/
-checksums		md5 56b380a7352c68d425b1d3d3d610f994
+master_sites	http://www.webdav.org/neon/
+checksums	md5 56b380a7352c68d425b1d3d3d610f994
 
-depends_lib		lib:libexpat.0.4:expat
-configure.env		LDFLAGS=-L$prefix/lib CPPFLAGS=-I$prefix/include
-configure.args		--with-ssl \
-			--with-force-ssl \
-			--enable-xml \
-			--enable-shared \
-			--with-expat
-
-configure.type		gnu
-
-include			contents
+depends_lib	lib:libexpat.0.4:expat
+configure.env	LDFLAGS=-L$prefix/lib CPPFLAGS=-I$prefix/include
+configure.args	--with-ssl \
+		--with-force-ssl \
+		--enable-xml \
+		--enable-shared \
+		--with-expat
+configure.type	gnu
+include		contents
Index: trunk/dports/x11/XFree86/Portfile
===================================================================
--- trunk/dports/x11/XFree86/Portfile	(revision 959)
+++ trunk/dports/x11/XFree86/Portfile	(revision 960)
@@ -1,8 +1,9 @@
 PortSystem 1.0
-portname	XFree86
-portversion	4.2.0.1
+name		XFree86
+version		4.2.0.1
 categories	x11
 maintainers	eric@opendarwin.org
 description	X11R6 windowing system
+platforms	darwin freebsd
 prefix		/usr/X11R6
 master_sites	http://www.opendarwin.org/~eric/
Index: trunk/dports/x11/fluxbox/Portfile
===================================================================
--- trunk/dports/x11/fluxbox/Portfile	(revision 959)
+++ trunk/dports/x11/fluxbox/Portfile	(revision 960)
@@ -1,8 +1,9 @@
 PortSystem 1.0
-portname	fluxbox
-portversion	0.1.10
+name		fluxbox
+version		0.1.10
 description	Lightweight window manager based on Blackbox 0.61.1
 maintainers	landonf@opendarwin.org
 categories	x11-wm
+platforms	darwin freebsd
 master_sites	http://us.dl.sourceforge.net/fluxbox/ \
 		http://eu.dl.sourceforge.net/fluxbox/ \
Index: trunk/dports/x11/gtk/Portfile
===================================================================
--- trunk/dports/x11/gtk/Portfile	(revision 959)
+++ trunk/dports/x11/gtk/Portfile	(revision 960)
@@ -1,8 +1,9 @@
 PortSystem 1.0
-portname	gtk
-portversion	1.2.10
+name		gtk
+version		1.2.10
 categories	x11
 maintainers	eric@opendarwin.org
 description	Gimp Tool Kit
+platforms	darwin freebsd
 master_sites	ftp://ftp.gtk.org/pub/gtk/v1.2/ \
 		http://www.opendarwin.org/~eric/:libtool
Index: trunk/dports/x11/wmclock/Portfile
===================================================================
--- trunk/dports/x11/wmclock/Portfile	(revision 959)
+++ trunk/dports/x11/wmclock/Portfile	(revision 960)
@@ -1,9 +1,9 @@
 PortSystem 1.0
-portname	wmclock
-portversion	1.0.12.2
+name		wmclock
+version		1.0.12.2
 categories	x11
 maintainers	landonf@opendarwin.org
 description	A dockable clock applet
-
+platforms	darwin freebsd
 master_sites	http://www.ntrnet.net/~jmknoble/WindowMaker/wmclock/
 checksums	md5 97f6e82f55f216ba724859d4652586b4
